Subject: bug#57197: 28.1.90; Can pure side-effect-free functions use multiple CPUs in Elisp?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 Aug 2022 14:46:38 +0300

> Cc: [email-masked]
> Date: Mon, 15 Aug 2022 15:43:04 +0600
> From:  Akib Azmain Turja via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> >> This looks like a feature request, I think emacs-devel is good for that.
> >
> > I have heard on emacs-devel that M-x report-emacs-bug should also be
> > used for feature requests. Moreover, CONTRIBUTE says:
> >
> >     Bug reports and fixes, feature requests and patches/implementations
> >     should be sent to [email-masked], the bug/feature list.  This
> >     is coupled to the https://debbugs.gnu.org tracker.  It is best to use
> >     the command 'M-x report-emacs-bug RET' to report issues to the tracker
> >     (described below).  Be prepared to receive comments and requests for
> >     changes in your patches, following your submission.
> >
> > Let me know if I miss something.
> 
> Maybe I'm wrong.  But looks like discussion takes place mainly on
> emacs-devel.  Please correct me if I'm wrong.

You are both right.

Feature requests should in general be sent as bug reports.  However,
if a feature request is likely to mean a major redesign of a large
part of Emacs, it is best first to discuss it on emacs-devel, so that
we could assess its feasibility with more hands on deck.